<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVenuesTables extends Migration
{
    public function up(): void
    {
        Schema::create('venues', function (Blueprint $table): void {
            $table->increments('id');
            $table->string('name')->nullable();
            $table->string('website')->nullable();
            $table->string('source')->nullable()->comment('Will be used to tie venuepot venues to their original source');
            $table->string('star_rating')->nullable();
            $table->boolean('has_green_tourism_accreditation')->default(false);
            $table->timestamps();
        });

        Schema::create('venueables', function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('venue_id');
            $table->unsignedInteger('venueable_id');
            $table->string('venueable_type');
            $table->timestamps();

            $table->foreign('venue_id')->references('id')->on('venues');
        });
    }
}
