<?php

namespace EventPortal\Domain\Email;

use EventPortal\Domain\Email\Models\Email;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\View\View;

class PreviewEmail extends Mailable
{
    use Queueable, SerializesModels;

    /** @var Email */
    public $email;

    public function __construct(Email $email)
    {
        $this->email = $email;
    }

    public function build(): self
    {
        return $this->subject("[PREVIEW] {$this->email->subject}")
            ->view("EventPortal::email.preview-html")
            ->text('EventPortal::email.preview-text');
    }

    public function renderPlainText(): View
    {
        return view($this->build()->textView, ['email' => $this->email]);
    }
}
