<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Email\Models\Email;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('email.index')
    ->setColumns(function () {
        return [
            TextColumn::make('Email')->name('type')->searchable(),
            TextColumn::make('Subject')->name('subject')->searchable(),
        ];
    })
    ->setRowAction(function (Email $email, Event $event) {
        return ButtonDropdown::make('Manage email')
            ->actions([
                Button::make('View')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.email.show', [
                        'event' => $event->id,
                        'email' => $email->id,
                    ]),
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.email.edit', [
                        'event' => $event->id,
                        'email' => $email->id,
                    ]),
            ]);
    });
