<?php

namespace EventPortal\Tests\Feature\Admin\Delegate;

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Spatie\Snapshots\MatchesSnapshots;

class DelegateIndexTest extends TestCase
{
    use RefreshDatabase, MatchesSnapshots, SeedRolesAndPermissions;

    /** @test **/
    public function can_view_index()
    {
        factory(Delegate::class)->state('snapshot')->create();

        $this->assertMatchesJsonSnapshot(
            $this
                ->actingAsSuperAdmin()
                ->get(route('admin.delegate.index'))
                ->props()
        );
    }
}
